Bug 499037 - ErrrataCache calculations take too long when package is not pushed to the channel when publishing errata
ErrrataCache calculations take too long when package is not pushed to the cha...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
Depends On:
Blocks: 456985
  Show dependency treegraph
Reported: 2009-05-04 17:43 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 16:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-05-04 17:43:53 EDT
Description of problem:

Refernce bug # 443718  Comment# 29

1. Create a custom channel. Push trunk/qa/automation/gold/src/main/resources/testAutoFile-1-1.0.i386.rpm and trunk/qa/automation/gold/src/main/resources/testAutoFile-2-1.0.i386.rpm to the custom channel. 
2. Subscribe system to this channel
3. install testAutoFile-1-1.0 on the system. 
4. create errata 
5. Add testAutoFile-2-1.0.i386.rpm to the errata
6. Publish errata. (here it shouldnt say package doesn't exist in the custom channel, do you want to push it? as package is already pushed in step 1.)
7. Check in system->errata whether the errata is shown over there.

Actual results:
It will take a minute for errata to be seen there which happens instantaneously if package is pushed to the channel later when publishing errata. 

Expected results:
Behavior should be the same no matter whether whether package is pushed to channel before or after. Whenever errata is published, errata cache recalculations should kick in.
Comment 1 Sayli Karmarkar 2009-05-04 17:45:42 EDT
Same experiment should also be checked for >2000 systems.
Comment 2 Brandon Perkins 2009-05-05 12:22:25 EDT
Approving for Justin review.  It doesn't seem to Cliff and I that one minute is that long to wait, but agreed that it seems odd that it has a different behavior.

Other issue, Sayli, can you please report a new bug for step 6 above?
Comment 3 Sayli Karmarkar 2009-05-05 12:37:15 EDT

One minute is just for 2-3 systems. It is taking really long (more than 20 mins when I tried yesterday) for 2000+ systems. I have talked with Justin about it yesterday and it seems that code IS different for these two different ways of pushing packages to channel when publishing errata and it needs to be fixed.  

Also, step 6 is not a bug, its right behavior. I just mentioned over there to make sure to follow correct procedure when reproducing the behavior.  If one sees "package doesn't exist in the custom channel, do you want to push it?" at step 6, that means you have done something different in steps 1-5. Then you wont be able to reproduce the behavior correctly. 

Sorry if my wording is confusing over there.  

Comment 4 Justin Sherrill 2009-05-06 15:22:42 EDT
So the issue (as Sayli and I discussed) is that if pushing an errata to a channel doesn't push any packages to the channel (i.e. the packages are already in the channel), the errata cache entries were not being added at all.

Fixing so they are being added:  8894711
Comment 5 Sayli Karmarkar 2009-06-02 20:24:21 EDT
Verified. Related errata shows up almost immediately now.
Comment 6 Petr Sklenar 2009-08-27 08:01:09 EDT
errata was there right away.
tried many times with Satellite-5.3.0-RHEL5-re20090820.1

switching to release_pending
Comment 7 Brandon Perkins 2009-09-10 16:36:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.